=== debian/control ===
Source: ros-dashing-rclcpp-action
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-action-msgs, ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rcl-action, ros-dashing-rclcpp, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-generator-cpp, ros-dashing-test-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rclcpp-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-action-msgs, ros-dashing-ament-cmake, ros-dashing-rcl-action, ros-dashing-rclcpp, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-generator-cpp, ros-dashing-ros-workspace
Description: Adds action APIs for C++.
